# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

desc 'AdminInviterequests methods.'
command 'admin_inviteRequests' do |g|
  g.desc 'Approve a workspace invite request.'
  g.long_desc %( Approve a workspace invite request. )
  g.command 'approve' do |c|
    c.flag 'invite_request_id', desc: 'ID of the request to invite.'
    c.flag 'team_id', desc: 'ID for the workspace where the invite request was made.'
    c.action do |_global_options, options, _args|
      puts JSON.dump($client.admin_inviteRequests_approve(options))
    end
  end

  g.desc 'Deny a workspace invite request.'
  g.long_desc %( Deny a workspace invite request. )
  g.command 'deny' do |c|
    c.flag 'invite_request_id', desc: 'ID of the request to invite.'
    c.flag 'team_id', desc: 'ID for the workspace where the invite request was made.'
    c.action do |_global_options, options, _args|
      puts JSON.dump($client.admin_inviteRequests_deny(options))
    end
  end

  g.desc 'List all pending workspace invite requests.'
  g.long_desc %( List all pending workspace invite requests. )
  g.command 'list' do |c|
    c.flag 'cursor', desc: 'Value of the next_cursor field sent as part of the previous API response.'
    c.flag 'limit', desc: 'The number of results that will be returned by the API on each invocation. Must be between 1 - 1000, both inclusive.'
    c.flag 'team_id', desc: 'ID for the workspace where the invite requests were made.'
    c.action do |_global_options, options, _args|
      puts JSON.dump($client.admin_inviteRequests_list(options))
    end
  end
end
