# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

module Slack
  module Web
    module Api
      module Endpoints
        module AdminAnalytics
          #
          # Retrieve analytics data for a given date, presented as a compressed JSON file
          #
          # @option options [Object] :type
          #   The type of analytics to retrieve. The options are currently limited to member (for grid member analytics) and public_channel (for public channel analytics).
          # @option options [Object] :date
          #   Date to retrieve the analytics data for, expressed as YYYY-MM-DD in UTC.
          # @option options [Object] :metadata_only
          #   Retrieve metadata for the type of analytics indicated. Can be used only with type set to public_channel analytics. See detail below. Omit the date parameter when using this argument.
          # @see https://api.slack.com/methods/admin.analytics.getFile
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/admin.analytics/admin.analytics.getFile.json
          def admin_analytics_getFile(options = {})
            throw ArgumentError.new('Required arguments :type missing') if options[:type].nil?
            post('admin.analytics.getFile', options)
          end
        end
      end
    end
  end
end
