# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

module Slack
  module Web
    module Api
      module Endpoints
        module AdminInviterequestsApproved
          #
          # List all approved workspace invite requests.
          #
          # @option options [Object] :cursor
          #   Value of the next_cursor field sent as part of the previous API response.
          # @option options [Object] :limit
          #   The number of results that will be returned by the API on each invocation. Must be between 1 - 1000, both inclusive.
          # @option options [Object] :team_id
          #   ID for the workspace where the invite requests were made.
          # @see https://api.slack.com/methods/admin.inviteRequests.approved.list
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/admin.inviteRequests.approved/admin.inviteRequests.approved.list.json
          def admin_inviteRequests_approved_list(options = {})
            if block_given?
              Pagination::Cursor.new(self, :admin_inviteRequests_approved_list, options).each do |page|
                yield page
              end
            else
              post('admin.inviteRequests.approved.list', options)
            end
          end
        end
      end
    end
  end
end
