# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

module Slack
  module Web
    module Api
      module Endpoints
        module AdminTeamsOwners
          #
          # List all of the owners on a given workspace.
          #
          # @option options [Object] :team_id
          #   .
          # @option options [Object] :cursor
          #   Set cursor to next_cursor returned by the previous call to list items in the next page.
          # @option options [Object] :limit
          #   The maximum number of items to return. Must be between 1 - 1000 both inclusive.
          # @see https://api.slack.com/methods/admin.teams.owners.list
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/admin.teams.owners/admin.teams.owners.list.json
          def admin_teams_owners_list(options = {})
            throw ArgumentError.new('Required arguments :team_id missing') if options[:team_id].nil?
            if block_given?
              Pagination::Cursor.new(self, :admin_teams_owners_list, options).each do |page|
                yield page
              end
            else
              post('admin.teams.owners.list', options)
            end
          end
        end
      end
    end
  end
end
