# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

module Slack
  module Web
    module Api
      module Endpoints
        module AppsPermissionsResources
          #
          # Returns list of resource grants this app has on a team.
          #
          # @option options [Object] :cursor
          #   Paginate through collections of data by setting the cursor parameter to a next_cursor attribute returned by a previous request's response_metadata. Default value fetches the first "page" of the collection. See pagination for more detail.
          # @option options [Object] :limit
          #   The maximum number of items to return.
          # @see https://api.slack.com/methods/apps.permissions.resources.list
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/apps.permissions.resources/apps.permissions.resources.list.json
          def apps_permissions_resources_list(options = {})
            if block_given?
              Pagination::Cursor.new(self, :apps_permissions_resources_list, options).each do |page|
                yield page
              end
            else
              post('apps.permissions.resources.list', options)
            end
          end
        end
      end
    end
  end
end
