# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

module Slack
  module Web
    module Api
      module Endpoints
        module Auth
          #
          # Revokes a token.
          #
          # @option options [Object] :test
          #   Setting this parameter to 1 triggers a testing mode where the specified token will not actually be revoked.
          # @see https://api.slack.com/methods/auth.revoke
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/auth/auth.revoke.json
          def auth_revoke(options = {})
            post('auth.revoke', options)
          end

          #
          # Checks authentication & identity.
          #
          # @see https://api.slack.com/methods/auth.test
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/auth/auth.test.json
          def auth_test(options = {})
            post('auth.test', options)
          end
        end
      end
    end
  end
end
