# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

module Slack
  module Web
    module Api
      module Endpoints
        module Rtm
          #
          # Starts a Real Time Messaging session.
          #
          # @option options [Object] :batch_presence_aware
          #   Batch presence deliveries via subscription. Enabling changes the shape of presence_change events. See batch presence.
          # @option options [Object] :presence_sub
          #   Only deliver presence events when requested by subscription. See presence subscriptions.
          # @see https://api.slack.com/methods/rtm.connect
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/rtm/rtm.connect.json
          def rtm_connect(options = {})
            post('rtm.connect', options)
          end

          #
          # Starts a Real Time Messaging session.
          #
          # @option options [Object] :batch_presence_aware
          #   Batch presence deliveries via subscription. Enabling changes the shape of presence_change events. See batch presence.
          # @option options [Object] :include_locale
          #   Set this to true to receive the locale for users and channels. Defaults to false.
          # @option options [Object] :mpim_aware
          #   Returns MPIMs to the client in the API response.
          # @option options [Object] :no_latest
          #   Exclude latest timestamps for channels, groups, mpims, and ims. Automatically sets no_unreads to 1.
          # @option options [Object] :no_unreads
          #   Skip unread counts for each channel (improves performance).
          # @option options [Object] :presence_sub
          #   Only deliver presence events when requested by subscription. See presence subscriptions.
          # @option options [Object] :simple_latest
          #   Return timestamp only for latest message object of each channel (improves performance).
          # @see https://api.slack.com/methods/rtm.start
          # @see https://github.com/slack-ruby/slack-api-ref/blob/master/methods/rtm/rtm.start.json
          def rtm_start(options = {})
            post('rtm.start', options)
          end
        end
      end
    end
  end
end
