# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

require 'spec_helper'

RSpec.describe Slack::Web::Api::Endpoints::AdminEmoji do
  let(:client) { Slack::Web::Client.new }
  context 'admin.emoji_add' do
    it 'requires name' do
      expect { client.admin_emoji_add(url: %q[]) }.to raise_error ArgumentError, /Required arguments :name missing/
    end
    it 'requires url' do
      expect { client.admin_emoji_add(name: %q[]) }.to raise_error ArgumentError, /Required arguments :url missing/
    end
  end
  context 'admin.emoji_addAlias' do
    it 'requires alias_for' do
      expect { client.admin_emoji_addAlias(name: %q[]) }.to raise_error ArgumentError, /Required arguments :alias_for missing/
    end
    it 'requires name' do
      expect { client.admin_emoji_addAlias(alias_for: %q[]) }.to raise_error ArgumentError, /Required arguments :name missing/
    end
  end
  context 'admin.emoji_remove' do
    it 'requires name' do
      expect { client.admin_emoji_remove }.to raise_error ArgumentError, /Required arguments :name missing/
    end
  end
  context 'admin.emoji_rename' do
    it 'requires name' do
      expect { client.admin_emoji_rename(new_name: %q[]) }.to raise_error ArgumentError, /Required arguments :name missing/
    end
    it 'requires new_name' do
      expect { client.admin_emoji_rename(name: %q[]) }.to raise_error ArgumentError, /Required arguments :new_name missing/
    end
  end
end
