# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

require 'spec_helper'

RSpec.describe Slack::Web::Api::Endpoints::Calls do
  let(:client) { Slack::Web::Client.new }
  context 'calls_add' do
    it 'requires external_unique_id' do
      expect { client.calls_add(join_url: %q[https://example.com/calls/1234567890]) }.to raise_error ArgumentError, /Required arguments :external_unique_id missing/
    end
    it 'requires join_url' do
      expect { client.calls_add(external_unique_id: %q[025169F6-E37A-4E62-BB54-7F93A0FC4C1F]) }.to raise_error ArgumentError, /Required arguments :join_url missing/
    end
  end
  context 'calls_end' do
    it 'requires id' do
      expect { client.calls_end }.to raise_error ArgumentError, /Required arguments :id missing/
    end
  end
  context 'calls_info' do
    it 'requires id' do
      expect { client.calls_info }.to raise_error ArgumentError, /Required arguments :id missing/
    end
  end
  context 'calls_update' do
    it 'requires id' do
      expect { client.calls_update }.to raise_error ArgumentError, /Required arguments :id missing/
    end
  end
end
