# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

require 'spec_helper'

RSpec.describe Slack::Web::Api::Endpoints::Reactions do
  let(:client) { Slack::Web::Client.new }
  context 'reactions_add' do
    it 'requires channel' do
      expect { client.reactions_add(name: %q[thumbsup], timestamp: %q[1234567890.123456]) }.to raise_error ArgumentError, /Required arguments :channel missing/
    end
    it 'requires name' do
      expect { client.reactions_add(channel: %q[C1234567890], timestamp: %q[1234567890.123456]) }.to raise_error ArgumentError, /Required arguments :name missing/
    end
    it 'requires timestamp' do
      expect { client.reactions_add(channel: %q[C1234567890], name: %q[thumbsup]) }.to raise_error ArgumentError, /Required arguments :timestamp missing/
    end
  end
  context 'reactions_remove' do
    it 'requires name' do
      expect { client.reactions_remove }.to raise_error ArgumentError, /Required arguments :name missing/
    end
  end
end
