# frozen_string_literal: true
# This file was auto-generated by lib/tasks/web.rake

require 'spec_helper'

RSpec.describe Slack::Web::Api::Endpoints::Reminders do
  let(:client) { Slack::Web::Client.new }
  context 'reminders_add' do
    it 'requires text' do
      expect { client.reminders_add(time: %q[1602288000]) }.to raise_error ArgumentError, /Required arguments :text missing/
    end
    it 'requires time' do
      expect { client.reminders_add(text: %q[eat a banana]) }.to raise_error ArgumentError, /Required arguments :time missing/
    end
  end
  context 'reminders_complete' do
    it 'requires reminder' do
      expect { client.reminders_complete }.to raise_error ArgumentError, /Required arguments :reminder missing/
    end
  end
  context 'reminders_delete' do
    it 'requires reminder' do
      expect { client.reminders_delete }.to raise_error ArgumentError, /Required arguments :reminder missing/
    end
  end
  context 'reminders_info' do
    it 'requires reminder' do
      expect { client.reminders_info }.to raise_error ArgumentError, /Required arguments :reminder missing/
    end
  end
end
